Index: pulseaudio-0.9.15/configure.ac
===================================================================
--- pulseaudio-0.9.15.orig/configure.ac	2009-07-11 20:20:45.430959569 +0200
+++ pulseaudio-0.9.15/configure.ac	2009-07-11 20:22:47.488992720 +0200
@@ -460,15 +460,15 @@
 # Check for open64 to know if the current system does have open64() and similar functions
 AC_CHECK_FUNCS([open64])
 
-#### [lib]iconv ####
+#### localization support ####
 
 AM_ICONV
-
-IT_PROG_INTLTOOL([0.35.0])
-GETTEXT_PACKAGE=pulseaudio
+IT_PROG_INTLTOOL([0.37.0])
+GETTEXT_PACKAGE=$PACKAGE
 AC_SUBST([GETTEXT_PACKAGE])
 AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
-AM_GLIB_GNU_GETTEXT
+AM_GNU_GETTEXT([external])
+AM_GNU_GETTEXT_VERSION([0.17])
 
 pulselocaledir='${prefix}/${DATADIRNAME}/locale'
 AC_SUBST(pulselocaledir)
Index: pulseaudio-0.9.15/src/pulse/i18n.h
===================================================================
--- pulseaudio-0.9.15.orig/src/pulse/i18n.h	2009-07-11 20:20:45.437631408 +0200
+++ pulseaudio-0.9.15/src/pulse/i18n.h	2009-07-11 20:20:50.116383023 +0200
@@ -28,15 +28,13 @@
 
 PA_C_DECL_BEGIN
 
-#if !defined(GETTEXT_PACKAGE)
-#error "Something is very wrong here, config.h needs to be included first"
-#endif
+
 
 #ifdef ENABLE_NLS
 
 #include <libintl.h>
 
-#define _(String) dgettext(GETTEXT_PACKAGE, String)
+#define _(String) dgettext(PACKAGE, String)
 #ifdef gettext_noop
 #define N_(String) gettext_noop(String)
 #else
Index: pulseaudio-0.9.15/src/pulse/i18n.c
===================================================================
--- pulseaudio-0.9.15.orig/src/pulse/i18n.c	2009-07-11 20:20:45.444294874 +0200
+++ pulseaudio-0.9.15/src/pulse/i18n.c	2009-07-11 20:20:50.116383023 +0200
@@ -31,8 +31,8 @@
 
     PA_ONCE_BEGIN {
 
-        bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
-        bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
+        bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
+        bind_textdomain_codeset(PACKAGE, "UTF-8");
 
     } PA_ONCE_END;
 }
Index: pulseaudio-0.9.15/src/utils/pacat.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/pacat.c	2009-07-11 20:20:45.450959436 +0200
+++ pulseaudio-0.9.15/src/utils/pacat.c	2009-07-11 20:20:50.116383023 +0200
@@ -588,7 +588,7 @@
     };
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     if (!(bn = strrchr(argv[0], '/')))
         bn = argv[0];
Index: pulseaudio-0.9.15/src/utils/pacmd.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/pacmd.c	2009-07-11 20:20:45.457628031 +0200
+++ pulseaudio-0.9.15/src/utils/pacmd.c	2009-07-11 20:20:50.116383023 +0200
@@ -53,7 +53,7 @@
     pa_bool_t ibuf_eof, obuf_eof, ibuf_closed, obuf_closed;
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     if (pa_pid_file_check_running(&pid, "pulseaudio") < 0) {
         pa_log("No PulseAudio daemon running, or not running as session daemon.");
Index: pulseaudio-0.9.15/src/utils/pactl.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/pactl.c	2009-07-11 20:20:45.464297385 +0200
+++ pulseaudio-0.9.15/src/utils/pactl.c	2009-07-11 20:20:50.116383023 +0200
@@ -808,7 +808,7 @@
     };
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     if (!(bn = strrchr(argv[0], '/')))
         bn = argv[0];
Index: pulseaudio-0.9.15/src/utils/paplay.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/paplay.c	2009-07-11 20:20:45.470968508 +0200
+++ pulseaudio-0.9.15/src/utils/paplay.c	2009-07-11 20:20:50.116383023 +0200
@@ -236,7 +236,7 @@
     };
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     if (!(bn = strrchr(argv[0], '/')))
         bn = argv[0];
Index: pulseaudio-0.9.15/src/utils/pasuspender.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/pasuspender.c	2009-07-11 20:20:45.477632683 +0200
+++ pulseaudio-0.9.15/src/utils/pasuspender.c	2009-07-11 20:20:50.116383023 +0200
@@ -233,7 +233,7 @@
     };
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     if (!(bn = strrchr(argv[0], '/')))
         bn = argv[0];
Index: pulseaudio-0.9.15/src/utils/pax11publish.c
===================================================================
--- pulseaudio-0.9.15.orig/src/utils/pax11publish.c	2009-07-11 20:20:45.487631479 +0200
+++ pulseaudio-0.9.15/src/utils/pax11publish.c	2009-07-11 20:20:50.116383023 +0200
@@ -50,7 +50,7 @@
     enum { DUMP, EXPORT, IMPORT, REMOVE } mode = DUMP;
 
     setlocale(LC_ALL, "");
-    bindtextdomain(GETTEXT_PACKAGE, PULSE_LOCALEDIR);
+    bindtextdomain(PACKAGE, PULSE_LOCALEDIR);
 
     while ((c = getopt(argc, argv, "deiD:S:O:I:c:hr")) != -1) {
         switch (c) {
